# ModifierTypeOption | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ModifierTypeOption

- Defined in src/modifier/modifier-type.ts:3689

##### Index

### Constructors

constructor

### Properties

cost
type
upgradeCount

## Constructors

### constructor

- new ModifierTypeOption(
  type: ModifierType ,
  upgradeCount: number,
  cost?: number,
  ): ModifierTypeOption

  #### Parameters

  - type: ModifierType
  - upgradeCount: number
  - cost: number = 0

  #### Returns ModifierTypeOption

  - Defined in src/modifier/modifier-type.ts:3694

## Properties

### cost

cost: number

- Defined in src/modifier/modifier-type.ts:3692

### type

type: ModifierType

- Defined in src/modifier/modifier-type.ts:3690

### upgradeCount

upgradeCount: number

- Defined in src/modifier/modifier-type.ts:3691